---
title: CloseEvent()
slug: Web/API/CloseEvent/CloseEvent
tags:
  - API
  - CloseEvent
  - Constructor
  - Reference
---
<div>{{APIRef("Websockets API")}}</div>

<p>The <strong><code>CloseEvent()</code></strong> constructor creates a new {{domxref("CloseEvent")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>event</em> = new CloseEvent(<em>typeArg</em>, <em>closeEventInit</em>);</pre>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>typeArg</code></dt>
 <dd>Is a {{domxref("DOMString")}} representing the name of the event.</dd>
 <dt><code>closeEventInit</code> {{optional_inline}}</dt>
</dl>

<dl>
 <dd>Is a <code>CloseEventInit</code> dictionary, having the following fields:

 <ul>
  <li><code>"wasClean"</code>, optional and defaulting to <code>false</code>, of type <code>long</code>, indicates if the connection has been closed cleanly or not.</li>
  <li><code>"code"</code>, optional and defaulting to <code>0</code>, of type <code>unsigned short</code>, that is the connection close code sent by the server.</li>
  <li><code>"reason"</code>, optional and defaulting to <code>''</code>, of type {{domxref("DOMString")}}, that is a human-readable reason why the server closed the connection.</li>
 </ul>

 <div class="note">
 <p>The <code>CloseEventInit</code> dictionary also accepts fields from the {{domxref("Event.Event", "EventInit")}} dictionary.</p>
 </div>
 </dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table" style="height: 49px; width: 1000px;">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG','comms.html#closeevent','CloseEvent()')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CloseEvent.CloseEvent")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("CloseEvent")}}, the interface of the objects it constructs.</li>
</ul>
